(module utils mzscheme
  
  ;;; == UTILITAIRES ==
  
  (provide 
   debug 
   dir-slashify 
   string->rjust-string string->ljust-string add-leading-0)
  
  (define debug
    (lambda l
      (for-each (lambda (x) (display (format "~a~n" x))) l)))
  
  ; ajoute si besoin un "\"  la fin d'un chemin 
  (define (dir-slashify p)
;    (if (regexp-match (regexp "(\\\\|/)$") p)
;        p
;        (string-append p "\\"))
    (string-append p "/"))
  
  (define string->rjust-string 
    (lambda (s m)
      (let ((sl (string-length s)))
        (if (< sl m)
            (string-append (make-string (- m sl) #\space) s)
            s))))
  
  (define string->ljust-string 
    (lambda (s m)
      (let ((sl (string-length s)))
        (if (< sl m)
            (string-append s (make-string (- m sl) #\space))
            s))))
  
  (define add-leading-0 
    (lambda(n)
      (let ((s (number->string n)))
        (if (< (string-length s) 2)
            (string-append "0" s)
            s))))
  )